In message <199803270425.NAA01169 / picachu.netlab.co.jp>
matz / netlab.co.jp (Yukihiro Matsumoto) writes:

> 問題があるのは拡張モジュールで,この場合具体的にはsocket.so
> になります.make installを行っていない状態では
> 
>   /usr/local/lib/ruby/cpu-os/socket.so
> 
> をロードすると思いますが(パスは違うかも),これが1.1b9のもの
> ではないですか?

  納得しました.確かに古いのが残っている.

> make installするとこれも1.1b9_04のものに置
> き換わってハッピーになるのではないかと思います,多分.

  でもこっちは真ではないです.make install はしてありますから.

  # ext/socket で make install したら入った.ルートの Makefile が悪い
  # んでしょうか.ヘッダファイルの類は全部 install されているのに拡張
  # モジュールのバイナリは全然 install されていない....

===========================================================================
  柳川 @ 情報システム学研究科 . 電気通信大学
  katze / yuba.is.uec.ac.jp                                  March 27, 1998
私の耳は貝のから 海の響きを懐かしむ